#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#


Name:		qubes-gpg-split
Version:	2.0.52
Release:	1%{dist}
Summary:	The Qubes service for secure gpg separation

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

BuildRequires: make
BuildRequires: gcc
BuildRequires: pandoc

Requires:	gnupg2
Requires:   zenity


Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for delegating gpg actions to other VM. You can keep keys in
secure (even network isolated) VM and only pass data to it for
signing/decryption.

%package tests
Summary:    Tests for Split GPG
Requires:   %{name}
%if ! 0%{?rhel}
Requires:   python%{python3_pkgversion}-dogtail
%endif
Requires:   xdotool

%description tests
Helper scripts for Split GPG tests.

%prep
%setup -q

%build
make clean
make build

%install
rm -rf $RPM_BUILD_ROOT
make install-vm DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /usr/lib/qubes-gpg-split
/usr/lib/qubes-gpg-split/gpg-server
/usr/lib/qubes-gpg-split/pipe-cat
/usr/bin/qubes-gpg-client
/usr/bin/qubes-gpg-client-wrapper
/usr/bin/qubes-gpg-import-key
/etc/qubes-rpc/qubes.Gpg
/etc/qubes-rpc/qubes.GpgImportKey
/etc/profile.d/qubes-gpg.sh
%dir %attr(0777,root,root) /var/run/qubes-gpg-split
/etc/tmpfiles.d/qubes-gpg-split.conf
%{_mandir}/man1/qubes-gpg-client.1*
%{_mandir}/man1/qubes-gpg-client-wrapper.1*
%{_mandir}/man1/qubes-gpg-import-key.1*

%files tests
/usr/lib/qubes-gpg-split/test_evolution.py*
/usr/lib/qubes-gpg-split/test_thunderbird.py*
/usr/lib/qubes-gpg-split/test_smtpd.py*

%changelog
* Thu Sep 02 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-split-gpg.git

* Thu Sep 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6a00456
- version 2.0.52

* Mon Aug 30 2021 deeplow <deeplower@protonmail.com> - ff8d3ec
- use functools wraps in decorator

* Mon Aug 30 2021 deeplow <deeplower@protonmail.com> - cdb1f13
- retry_if_failed add_local_account (now idempotent)

* Mon Aug 30 2021 deeplow <deeplower@protonmail.com> - e9c1fd0
- add retry_if_failed wrapper to setup function

* Mon Aug 30 2021 deeplow <deeplower@protonmail.com> - 74cce39
- tests: manage thunderbird through dedicated class

* Sat Aug 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7b259e9
- tests: avoid redirect to dogtail repo

* Fri Aug 06 2021 deeplow <deeplower@protonmail.com> - 2ce2563
- tests: remove creation of .gnupg (enigmail req.)

* Fri Aug 06 2021 deeplow <deeplower@protonmail.com> - 9db91b9
- tests: remove deprecated enigmail and tb<78 code

* Fri Aug 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9e8baea
- version 2.0.51

* Fri Jul 30 2021 deeplow <deeplower@protonmail.com> - e086143
- test: fix missed clicks on "open file" dialogue

* Wed Jul 28 2021 deeplow <deeplower@protonmail.com> - 4eddc75
- tests: generate w/ subkeys in remaining tests

* Thu Jul 15 2021 deeplow <deeplower@protonmail.com> - 8ee3294
- tests: master key sign-only + subkey

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - eae1af1
- spec: add BR make

* Tue Dec 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aa5f3dc
- version 2.0.50

* Sun Dec 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2d3a092
- tests: adjust key import dialog in debian-10

* Wed Dec 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - edc6a64
- Allow to override defined CFLAGS

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 225295b
- Add .gitlab-ci.yml

* Sat Nov 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 025ee29
- Improve reproducibility

* Fri Nov 13 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6749b2f
- version 2.0.49

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5acd498
- tests: try to get the main TB window, not any splash screen

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4155887
- rpm: skip python3-dogtail on CentOS

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2056385
- Adjust tests for Debian 10

* Sat Oct 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 908700a
- version 2.0.48

* Wed Sep 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fbe9d03
- tests: do show_menu_bar after skip_autoconf

* Tue Sep 29 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 42a02ed
- Fix tests for Thunderbird 68

* Tue Sep 29 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e174d5c
- tests: enhance behavior and increase action and default delays

* Tue Sep 29 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4bc201b
- test_thunderbird: handle thunderbird-78+

* Mon Sep 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6f54e6e
- test_thunderbird: make PEP8 happier

* Sun Aug 16 2020 Ludovic Bellier <lbellier-gth@zyrianes.net> - 32fcb66
- Fix tmpfiles.d using a directory link

* Sun Aug 09 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4a1be07
- spec: replace hardcoded python3

* Sun Jul 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7d20d22
- Update travis

* Sun Jul 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3ba18af
- Update makefile

* Tue Jun 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aa42215
- version 2.0.47

* Mon Jun 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 32f298b
- Ignore tty/display related options

* Fri Jun 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ae7da6
- version 2.0.46

* Fri Jun 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b39e5d3
- Add --unwrap to allowed options

* Tue Feb 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 015d981
- version 2.0.45

* Mon Feb 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fbdce20
- Make qubes.GpgImportKey service a proper script

* Mon Feb 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 145ee4c
- rpm: do not drop executable bit from qubes.GpgImportKey service

* Sun Feb 02 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - bea91f7
- Made split GPG permission question box nicer

* Tue Jan 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d185587
- version 2.0.44

* Wed Jan 22 2020 Abel Luck <abel@guardianproject.info> - d1b3dff
- Whitelist opts to get mozilla/sops compatibility

* Sat Jan 18 2020 Johanna Abrahamsson <johanna@assured.se> - 3dea318
- Accept --personal-{cipher,...}-preferences with option-argument

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 226ccec
- version 2.0.43

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3c5d52f
- Fix qrexec policy permission

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1299856
- travis: switch to fc31 dom0

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9e804e
- Don't include python2 tests on new dom0 (based on >f28)

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6bf9ecd
- version 2.0.42

* Tue Dec 03 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3541562
- tests: improve handling compose window in TB 68

* Mon Oct 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 27d6a96
- version 2.0.41

